Index: src/molecules.hpp
===================================================================
--- src/molecules.hpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/molecules.hpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -395,92 +427,102 @@
  */
 class config {
-	public:
-		int PsiType;
-		int MaxPsiDouble;
-		int PsiMaxNoUp;
-		int PsiMaxNoDown;
-		int MaxMinStopStep;
-		int InitMaxMinStopStep;
-		int ProcPEGamma;
-		int ProcPEPsi;
-		char *configpath;
-		char *configname;
-		bool FastParsing;
-		double Deltat;
-		string basis;
+  public:
+    int PsiType;
+    int MaxPsiDouble;
+    int PsiMaxNoUp;
+    int PsiMaxNoDown;
+    int MaxMinStopStep;
+    int InitMaxMinStopStep;
+    int ProcPEGamma;
+    int ProcPEPsi;
+    char *configpath;
+    char *configname;
+    bool FastParsing;
+    double Deltat;
+    string basis;
 
     char *databasepath;
 
-	private:
-		char *mainname;
-		char *defaultpath;
-		char *pseudopotpath;
-
-		int DoOutVis;
-		int DoOutMes;
-		int DoOutNICS;
-		int DoOutOrbitals;
-		int DoOutCurrent;
-		int DoFullCurrent;
-		int DoPerturbation;
-		int DoWannier;
-		int CommonWannier;
-		double SawtoothStart;
-		int VectorPlane;
-		double VectorCut;
-		int UseAddGramSch;
-		int Seed;
-
-		int MaxOuterStep;
-		int OutVisStep;
-		int OutSrcStep;
-		double TargetTemp;
-		int ScaleTempStep;
-		int MaxPsiStep;
-		double EpsWannier;
-
-		int MaxMinStep;
-		double RelEpsTotalEnergy;
-		double RelEpsKineticEnergy;
-		int MaxMinGapStopStep;
-		int MaxInitMinStep;
-		double InitRelEpsTotalEnergy;
-		double InitRelEpsKineticEnergy;
-		int InitMaxMinGapStopStep;
-
-		//double BoxLength[NDIM*NDIM];
-
-		double ECut;
-		int MaxLevel;
-		int RiemannTensor;
-		int LevRFactor;
-		int RiemannLevel;
-		int Lev0Factor;
-		int RTActualUse;
-		int AddPsis;
-
-		double RCut;
-		int StructOpt;
-		int IsAngstroem;
-		int RelativeCoord;
-		int MaxTypes;
-
-
-	int ParseForParameter(int verbose, ifstream *file, const char *name, int sequential, int const xth, int const yth, int type, void *value, int repetition, int critical);
-
-	public:
-	config();
-	~config();
-
-	int TestSyntax(char *filename, periodentafel *periode, molecule *mol);
-	void Load(char *filename, periodentafel *periode, molecule *mol);
-	void LoadOld(char *filename, periodentafel *periode, molecule *mol);
-	void RetrieveConfigPathAndName(string filename);
-	bool Save(const char *filename, periodentafel *periode, molecule *mol) const;
-	bool SaveMPQC(const char *filename, molecule *mol) const;
-	void Edit();
-	bool GetIsAngstroem() const;
-	char *GetDefaultPath() const;
-	void SetDefaultPath(const char *path);
+    int DoConstrainedMD;
+    int MaxOuterStep;
+    int Thermostat;
+    int *ThermostatImplemented;
+    char **ThermostatNames;
+    double TempFrequency;
+    double alpha;
+    double HooverMass;
+    double TargetTemp;
+    int ScaleTempStep;
+    
+  private:
+    char *mainname;
+    char *defaultpath;
+    char *pseudopotpath;
+
+    int DoOutVis;
+    int DoOutMes;
+    int DoOutNICS;
+    int DoOutOrbitals;
+    int DoOutCurrent;
+    int DoFullCurrent;
+    int DoPerturbation;
+    int DoWannier;
+    int CommonWannier;
+    double SawtoothStart;
+    int VectorPlane;
+    double VectorCut;
+    int UseAddGramSch;
+    int Seed;
+
+    int OutVisStep;
+    int OutSrcStep;
+    int MaxPsiStep;
+    double EpsWannier;
+
+    int MaxMinStep;
+    double RelEpsTotalEnergy;
+    double RelEpsKineticEnergy;
+    int MaxMinGapStopStep;
+    int MaxInitMinStep;
+    double InitRelEpsTotalEnergy;
+    double InitRelEpsKineticEnergy;
+    int InitMaxMinGapStopStep;
+
+    //double BoxLength[NDIM*NDIM];
+
+    double ECut;
+    int MaxLevel;
+    int RiemannTensor;
+    int LevRFactor;
+    int RiemannLevel;
+    int Lev0Factor;
+    int RTActualUse;
+    int AddPsis;
+
+    double RCut;
+    int StructOpt;
+    int IsAngstroem;
+    int RelativeCoord;
+    int MaxTypes;
+
+
+  int ParseForParameter(int verbose, ifstream *file, const char *name, int sequential, int const xth, int const yth, int type, void *value, int repetition, int critical);
+  int ParseForParameter(int verbose, struct ConfigFileBuffer *FileBuffer, const char *name, int sequential, int const xth, int const yth, int type, void *value, int repetition, int critical);
+
+  public:
+  config();
+  ~config();
+
+  int TestSyntax(char *filename, periodentafel *periode, molecule *mol);
+  void Load(char *filename, periodentafel *periode, molecule *mol);
+  void LoadOld(char *filename, periodentafel *periode, molecule *mol);
+  void RetrieveConfigPathAndName(string filename);
+  bool Save(const char *filename, periodentafel *periode, molecule *mol) const;
+  bool SaveMPQC(const char *filename, molecule *mol) const;
+  void Edit();
+  bool GetIsAngstroem() const;
+  char *GetDefaultPath() const;
+  void SetDefaultPath(const char *path);
+  void InitThermostats(ifstream *source);
 };
 
